Index: prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js
===================================================================
--- prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
+++ prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js	(revision 4f077af0258b0df5c36db89a085b72c52ccc9dd1)
@@ -3,6 +3,6 @@
   
 
-  for (var i = 0; i < INFO_CHECK_BDOC.signatures.length; i++) {
-    if (INFO_CHECK_BDOC.signatures[i]['signatureId'] == ("S"+id)){
+  for (var i = 0; i < INFO_SIGN_BDOC.signatures.length; i++) {
+    if (INFO_SIGN_BDOC.signatures[i]['signatureId'] == ("S"+id)){
 
             var html1 = "";  
@@ -12,57 +12,57 @@
             html1 += '<tr>';
             html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
-            html1 += '<td style="text-align: left" width="500"><span> <font style="font-size: 10pt">'+INFO_CHECK_BDOC.signatures[i]['signerCertificateSubjectName']+'</font></span></td>';
+            html1 += '<td style="text-align: left" width="500"><span> <font style="font-size: 10pt">'+INFO_SIGN_BDOC.signatures[i]['signerCertificateSubjectName']+'</font></span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Fecha y hora de la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureSigningTime']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureSigningTime']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Firma válida:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['isValid']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['isValid']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIsValid']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signerCertificateIsValid']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Código postal:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']?INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']:"Null")+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_SIGN_BDOC.signatures[i]['signaturePostalCode']?INFO_SIGN_BDOC.signatures[i]['signaturePostalCode']:"Null")+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Serial del certificado del firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span>' +INFO_CHECK_BDOC.signatures[i]['signerCertificateSerial']+'</span></td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_SIGN_BDOC.signatures[i]['signerCertificateSerial']+'</span></td>';
             html1 += '</tr>'; 
             html1 += '<tr>';
             html1 += '<td style="text-align: left" ><b>Perfil de la firma:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK_BDOC.signatures[i]['signatureProfile']+'</span></td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_SIGN_BDOC.signatures[i]['signatureProfile']+'</span></td>';
             html1 += '</tr>'; 
             html1 += '<tr>';
             html1 += '<td style="text-align: left" ><b>Estado donde se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureState']?INFO_CHECK_BDOC.signatures[i]['signatureState']:"Null")+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_SIGN_BDOC.signatures[i]['signatureState']?INFO_SIGN_BDOC.signatures[i]['signatureState']:"Null")+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Algoritmo de firma utilizado:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureMethod']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureMethod']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Identificador de la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureId']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureId']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIssuer']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signerCertificateIssuer']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Ciudad donde se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureCity']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureCity']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Excepción de validación:</b> </td>';
-            html1 += '<td style="text-align: left"><span>signature' +INFO_CHECK_BDOC.signatures[i]['signatureId']+'ValidationException1</span></td>';
+            html1 += '<td style="text-align: left"><span>signature' +INFO_SIGN_BDOC.signatures[i]['signatureId']+'ValidationException1</span></td>';
             html1 += '</tr>'; 
             html1 += '<tr>';
             html1 += '<td style="text-align: left" ><b>País donde se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureCountry']?INFO_CHECK_BDOC.signatures[i]['signatureCountry']:"Null")+'</span></td>';
+            html1 += '<td style="text-align: left" ><span> '+(INFO_SIGN_BDOC.signatures[i]['signatureCountry']?INFO_SIGN_BDOC.signatures[i]['signatureCountry']:"Null")+'</span></td>';
             html1 += '</tr>';
             html1 += '</table>';
@@ -97,5 +97,5 @@
     </div>';
 
-    InfoContentVerificarBDOC(id);
+    InfoContentSignBDOC(id);
   
 }
Index: prototipo/static/js/functions/firmarDocumentoBDOC.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
+++ prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision 4f077af0258b0df5c36db89a085b72c52ccc9dd1)
@@ -1,2 +1,10 @@
+
+function SerealizeMyJsonBDOCf(data){
+  for (var i = 0; i < data.signatures.length; i++) {
+      data.signatures[i].isValid = True_False(data.signatures[i].isValid);
+      data.signatures[i].signerCertificateIsValid = True_False(data.signatures[i].signerCertificateIsValid);
+  }
+  return data;
+}
 
 //Obtenemos la  informacion de documento
@@ -10,5 +18,5 @@
         success: function(response) {
 
-	          INFO_SIGN_BDOC = SerealizeMyJsonBDOC(response);
+	          INFO_SIGN_BDOC = SerealizeMyJsonBDOCf(response);
 	          CONT_SIGN_BDOC += 1;         
 
@@ -48,5 +56,6 @@
 			//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
 			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-			document.getElementById("respuesta").innerHTML = '<h2>Archivo firmado correctamente:</h2> <br>'+linkToDownload;  
+			document.getElementById("respuesta").innerHTML = '';  
+			document.getElementById("respuesta").innerHTML = '<center><h2>Archivo firmado correctamente:</h2> <br>'+linkToDownload+'</center>';  			
 
 			InfoSignDocumentDataTableBDOC(data['signedFileId']);		
Index: prototipo/static/js/functions/firmarDocumentoPdf.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
+++ prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 4f077af0258b0df5c36db89a085b72c52ccc9dd1)
@@ -97,6 +97,7 @@
 		success: function(data, textStatus, jqXHR){
 
-			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-			document.getElementById("respuesta").innerHTML = 'Archivo firmado correctamente: ' + data['signedFileId']+ '<br>' +linkToDownload;	
+			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\"><h4>Descargar archivo firmado</h4></a>";
+			document.getElementById("respuesta").innerHTML = '';  
+			document.getElementById("respuesta").innerHTML = '<center><h2>Archivo firmado correctamente:</h2> <br>'+linkToDownload+'</center>';  			
 			
 			InfoDocumentDataTablePDF(data['signedFileId']);		
@@ -190,7 +191,7 @@
 					"contact":"582746574336",
 					"signatureVisible":"true"
-					"page": VALOR_PAGE,
-					"coord_x": VALOR_X,
-					"coord_y": VALOR_Y
+					//"page": VALOR_PAGE,
+					//"coord_x": VALOR_X,
+					//"coord_y": VALOR_Y
 					});
 			}