Index: WebContent/index.html
===================================================================
--- WebContent/index.html	(revision d76b3695ab25adf3d8c83efc25ab85bf4601a09f)
+++ WebContent/index.html	(revision d76b3695ab25adf3d8c83efc25ab85bf4601a09f)
@@ -206,4 +206,5 @@
             var f = $(this);
             // inicio control de los botones radio en el formulario firmar (pdf,bdoc)--------------------------------------------  
+
 	    //alert("manejo de JsonPDF");
             
@@ -224,6 +225,6 @@
             
             $.ajax({
-                url: "https://192.168.12.125:8443/Murachi/0.1/archivos",                
-                //url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos",
+                //url: "https://192.168.12.125:8443/Murachi/0.1/archivos",                
+                url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos",
                 type: "post",
                 dataType: "json",
@@ -265,6 +266,6 @@
 								type: 'POST',
 								contentType: 'application/json',				
-								url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs",
-								//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
+								//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs",
+								url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
 								dataType: "json",
 								data: parameters,		
@@ -288,6 +289,6 @@
 											type: 'POST',
 											contentType: 'application/json',
-											url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs/resenas",
-											//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
+											//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs/resenas",
+											url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
 											dataType: 'json',
 											data: JSON.stringify({"signature":signature.hex}),
@@ -301,7 +302,7 @@
 												
 												alert("ver respuesta");
-												var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
+												//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
 												//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-												//var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+												var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
 												//alert(linkToDownload);
 												document.getElementById("respuesta").innerHTML = linkToDownload;  
@@ -388,5 +389,6 @@
             
             $.ajax({
-                url: "https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/cargas",
+                //url: "https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/cargas",
+                url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/cargas",
                 //url: "https://172.16.137.11:8443/Murachi/murachi/archivos",                
                 //url: "https://172.16.137.11:8443/JAXRS-Murachi/murachi/archivos",
@@ -433,5 +435,6 @@
 								contentType: 'application/json',				
 								//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs",
-								url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/pre",
+								//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/pre",
+								url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/firmas/pre",
 								//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs",
 								//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
@@ -458,5 +461,6 @@
 											contentType: 'application/json',
 											//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/resenas",
-											url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/post",
+											//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/firmas/post",
+											url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/bdocs/firmas/post",
 											//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs/resenas",
 											//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
@@ -472,7 +476,7 @@
 												
 												alert("ver respuesta");
-												var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
+												//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
 												//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-												//var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+												var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
 												//alert(linkToDownload);
 												document.getElementById("respuesta").innerHTML = linkToDownload;  
@@ -557,181 +561,5 @@
     
 
-    <!-- Prueba de firma de BDOC -->
-    <!--  
-	<script>
-    $(function(){
-        $("#firmar").on("submit", function(e){
-            e.preventDefault();
-            var f = $(this);
-            
-            //alert("se presiono firmar")
-            
-            //var formData = new FormData(document.getElementById("verificar"));
-            var formData = new FormData();
-            
-            //formData.append("dato", "valor");
-            formData.append("upload", $("#file-sign")[0].files[0]);
-            //formData.append(f.attr("name"), $(this)[0].files[0]);
-            
-            $.ajax({
-                url: "https://192.168.12.125:8443/Murachi/0.1/archivos",
-                //url: "https://172.16.137.11:8443/Murachi/murachi/archivos",                
-                //url: "https://172.16.137.11:8443/JAXRS-Murachi/murachi/archivos",
-                //url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos",
-                type: "post",
-                dataType: "json",
-                data: formData,
-                cache: false,
-                contentType: false,
-				processData: false,
-				success: function(response) {
-						//alert(JSON.stringify(response));
-						var html = manejoJsonPDF(JSON.stringify(response));
-						//alert(html);
-						//alert("ver respuesta")
-						document.getElementById("respuesta").innerHTML = html;
-						
-						// identificador del archivo en el servidor
-						var fileId = response.fileId.toString();
-						alert("fileId: "+ fileId);
-						
-						
-						// seleccionar certificado del firmante
-						alert("va a seleccionar certificado");
-						var cert;
-						window.hwcrypto.getCertificate({lang: "en"}).then(function(response) {
-					  		var cert = response;
-				  			//log_text("Using certificate:\n" + hexToPem(response.hex));
-				  									
-							//alert("cert: "+ cert.hex);
-							
-							var parameters = JSON.stringify({
-								"fileId":fileId,
-								"certificate":cert.hex,
-								"city":"Merida",
-								"state":"Merida",
-								"postalCode":"5101",
-								"country":"Venezuela",
-								"role":"Desarrollador",
-								"addSignature":false
-								});
-							
-							// ahora llamar al ajax de obtener la resena del bdoc
-							$.ajax({
-								type: 'POST',
-								contentType: 'application/json',				
-								url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs",
-								//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs",
-								//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
-								dataType: "json",
-								data: parameters,		
-								success: function(data, textStatus, jqXHR){
-									var json_x = data;
-									var hash = json_x['hash']; 
-									//alert("hash recibido del servidor "+hash);
-									
-									var hashtype = "SHA-256";
-									var lang = "eng";
-									
-									window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(function(signature) {
-										
-										//var signature = response.hex.match(/.{1,64}/g).join("\n");
-						        		//log_text("Generated signature:\n" + response.hex.match(/.{1,64}/g).join("\n"));
-						        		//log_text("Generated signature:\n" + signature.hex);
-						        		
-						        		alert("valor de la firma: " + signature.hex);
-						        		
-						        		
-						        		$.ajax({
-											type: 'POST',
-											contentType: 'application/json',
-											url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/resenas",
-											//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs/resenas",
-											//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
-											dataType: 'json',
-											data: JSON.stringify({"signature":signature.hex}),
-											success: function(data, textStatus, jqXHR){
-												/*
-												var json_x = data;
-												var msg = json_x['message'];												
-												alert('Archivo firmado en el servidor: ' + msg);
-												*/
-												alert('Archivo firmado correctamente: ' + data['signedFileId']);
-												
-												alert("ver respuesta");
-												var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
-												//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-												//var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-												//alert(linkToDownload);
-												document.getElementById("respuesta").innerHTML = linkToDownload;  
-												
-												
-												//descargar el archivo
-												/*
-												//var urlToDownload =	"https://192.168.12.125:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'];
-												$.ajax({
-													type: 'GET',
-													contentType: false,
-													url: "https://192.168.12.125:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'],
-													dataType: false,
-													data: false,
-													success: function(data, textStatus, jqXHR){
-														alert("descargo el archivo");
-													},
-													error: function(jqXHR, textStatus, errorThrown){
-														alert('error en descarga de archivo: ' + textStatus);
-														$("#respuesta").html("error en descarga de archivo: " + textStatus);
-													}
-												});
-												*/
-												// fin de descarga de archivo
-																								
-												
-											},
-											error: function(jqXHR, textStatus, errorThrown){
-												alert('error en /bdocs/resenas: ' + textStatus);
-												$("#respuesta").html("error en /bdocs/resenas: " + textStatus);
-											}
-										});
-						        					        		
-						      			}, function(err) {
-							        		log_text("sign() failed: " + err);
-							        		alert("sign() failed: " + err);
-							        		$("#respuesta").html("sign() failed: " + err);
-						    	  	});
-									
-								},								
-								error: function(jqXHR, textStatus, errorThrown){
-									//alert('error: ' + textStatus);
-									//var responseText = jQuery.parseJSON(jqXHR.responseText);
-									alert('ajax error function: ' + jqXHR.responseText);
-									$("#respuesta").html("error function: " + jqXHR.responseText);
-								}
-								
-						
-							});
-							
-							
-							
-						}, function(err) {
-				      			log_text("getCertificate() failed: " + err);
-				      			alert("getCertificate() failed: " + err);
-				      			$("#respuesta").html("getCertificate() failed: " + err);
-				    		});
-						
-						
-						
-            	    },
-             		error: function(response) {
-             			//Que se ejecuta cuando finalice la petición de con error
-						$("#respuesta").html('Error...!!!');
-             			alert("ocurrio un error")
-					}
-            });
-        });
-    });
-    </script>
-     -->
-	
+
 
 	<!-- Función que se conecta se servicio web de verificación de la firma electrónica 
@@ -896,5 +724,9 @@
 							<!-- <form enctype="multipart/form-data" action="https://192.168.12.125:8443/Murachi/murachi/archivos" method="post" id="firmar"> -->
 							<!-- <form enctype="multipart/form-data" action="https://172.16.137.11:8443/Murachi/murachi/archivos" method="post" id="firmar">  -->
+<<<<<<< HEAD
 							<!-- <form enctype="multipart/form-data" action="https://murachi.cenditel.gob.ve/Murachi/0.1/archivos" method="post" id="firmar" name="SignFormat"> -->
+=======
+							<form enctype="multipart/form-data" action="https://murachi.cenditel.gob.ve/Murachi/0.1/archivos" method="post" id="firmar" name="SignFormat">
+>>>>>>> af4112a625a407cdeac98f2cb85b999cdcc3d17e
 								<h2>Formato para la Firma</h2>
 								<p>Seleccione el tipo de formato que va a utilizar para firmar electrónicamente</p>			