Index: prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js
===================================================================
--- prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
+++ prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js	(revision 4f077af0258b0df5c36db89a085b72c52ccc9dd1)
@@ -3,6 +3,6 @@
   
 
-  for (var i = 0; i < INFO_CHECK_BDOC.signatures.length; i++) {
-    if (INFO_CHECK_BDOC.signatures[i]['signatureId'] == ("S"+id)){
+  for (var i = 0; i < INFO_SIGN_BDOC.signatures.length; i++) {
+    if (INFO_SIGN_BDOC.signatures[i]['signatureId'] == ("S"+id)){
 
             var html1 = "";  
@@ -12,57 +12,57 @@
             html1 += '<tr>';
             html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
-            html1 += '<td style="text-align: left" width="500"><span> <font style="font-size: 10pt">'+INFO_CHECK_BDOC.signatures[i]['signerCertificateSubjectName']+'</font></span></td>';
+            html1 += '<td style="text-align: left" width="500"><span> <font style="font-size: 10pt">'+INFO_SIGN_BDOC.signatures[i]['signerCertificateSubjectName']+'</font></span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Fecha y hora de la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureSigningTime']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureSigningTime']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Firma válida:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['isValid']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['isValid']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIsValid']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signerCertificateIsValid']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Código postal:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']?INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']:"Null")+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_SIGN_BDOC.signatures[i]['signaturePostalCode']?INFO_SIGN_BDOC.signatures[i]['signaturePostalCode']:"Null")+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Serial del certificado del firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span>' +INFO_CHECK_BDOC.signatures[i]['signerCertificateSerial']+'</span></td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_SIGN_BDOC.signatures[i]['signerCertificateSerial']+'</span></td>';
             html1 += '</tr>'; 
             html1 += '<tr>';
             html1 += '<td style="text-align: left" ><b>Perfil de la firma:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK_BDOC.signatures[i]['signatureProfile']+'</span></td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_SIGN_BDOC.signatures[i]['signatureProfile']+'</span></td>';
             html1 += '</tr>'; 
             html1 += '<tr>';
             html1 += '<td style="text-align: left" ><b>Estado donde se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureState']?INFO_CHECK_BDOC.signatures[i]['signatureState']:"Null")+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_SIGN_BDOC.signatures[i]['signatureState']?INFO_SIGN_BDOC.signatures[i]['signatureState']:"Null")+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Algoritmo de firma utilizado:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureMethod']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureMethod']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Identificador de la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureId']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureId']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIssuer']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signerCertificateIssuer']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Ciudad donde se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureCity']+'</span></td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_SIGN_BDOC.signatures[i]['signatureCity']+'</span></td>';
             html1 += '</tr>';
             html1 += '<tr>';
             html1 += '<td style="text-align: left"><b>Excepción de validación:</b> </td>';
-            html1 += '<td style="text-align: left"><span>signature' +INFO_CHECK_BDOC.signatures[i]['signatureId']+'ValidationException1</span></td>';
+            html1 += '<td style="text-align: left"><span>signature' +INFO_SIGN_BDOC.signatures[i]['signatureId']+'ValidationException1</span></td>';
             html1 += '</tr>'; 
             html1 += '<tr>';
             html1 += '<td style="text-align: left" ><b>País donde se realiza la firma:</b> </td>';
-            html1 += '<td style="text-align: left" ><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureCountry']?INFO_CHECK_BDOC.signatures[i]['signatureCountry']:"Null")+'</span></td>';
+            html1 += '<td style="text-align: left" ><span> '+(INFO_SIGN_BDOC.signatures[i]['signatureCountry']?INFO_SIGN_BDOC.signatures[i]['signatureCountry']:"Null")+'</span></td>';
             html1 += '</tr>';
             html1 += '</table>';
@@ -97,5 +97,5 @@
     </div>';
 
-    InfoContentVerificarBDOC(id);
+    InfoContentSignBDOC(id);
   
 }