Index: prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js
===================================================================
--- prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
+++ prototipo/static/js/functions/BDOC/myInfoDataTableSignBDOC.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
@@ -0,0 +1,244 @@
+
+function InfoContentSignBDOC(id){
+  
+
+  for (var i = 0; i < INFO_CHECK_BDOC.signatures.length; i++) {
+    if (INFO_CHECK_BDOC.signatures[i]['signatureId'] == ("S"+id)){
+
+            var html1 = "";  
+
+            html1 += '<font style="font-size: 14pt">';
+            html1 += '<table  class="table table-hover" width="100%" id="data" >';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
+            html1 += '<td style="text-align: left" width="500"><span> <font style="font-size: 10pt">'+INFO_CHECK_BDOC.signatures[i]['signerCertificateSubjectName']+'</font></span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha y hora de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureSigningTime']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Firma válida:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['isValid']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIsValid']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Código postal:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']?INFO_CHECK_BDOC.signatures[i]['signaturePostalCode']:"Null")+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Serial del certificado del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_CHECK_BDOC.signatures[i]['signerCertificateSerial']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Perfil de la firma:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_CHECK_BDOC.signatures[i]['signatureProfile']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Estado donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureState']?INFO_CHECK_BDOC.signatures[i]['signatureState']:"Null")+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Algoritmo de firma utilizado:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureMethod']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Identificador de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureId']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signerCertificateIssuer']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Ciudad donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_CHECK_BDOC.signatures[i]['signatureCity']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Excepción de validación:</b> </td>';
+            html1 += '<td style="text-align: left"><span>signature' +INFO_CHECK_BDOC.signatures[i]['signatureId']+'ValidationException1</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>País donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+(INFO_CHECK_BDOC.signatures[i]['signatureCountry']?INFO_CHECK_BDOC.signatures[i]['signatureCountry']:"Null")+'</span></td>';
+            html1 += '</tr>';
+            html1 += '</table>';
+            html1 += '</font>';
+
+            $('div#Dialogo_SIGN-table').append(html1); 
+    }
+  }
+}
+
+function Dialog_SignBDOC(id){
+   document.getElementById("Dialogo_SignBdoc").innerHTML = '\
+    <style>\
+     .modal .modal-dialog { width: 80%; height: 80%, };\
+    </style>\
+       <div id="myModalVerificar" class="modal fade" role="dialog">\
+       <div class="modal-dialog">\
+         <div class="modal-content">\
+           <div id = "title" class="modal-header">\
+             <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->\
+             <h4 class="modal-title text-primary"><center>Información de la firma(S'+id+')</center></h4>\
+           </div>\
+           <div id = "body" class="modal-body">\
+             <br>\
+             <div id="Dialogo_SIGN-table"></div>\
+            </div>\
+            <div class="modal-footer">\
+              <button type="button" id="informacion" data-dismiss="modal">Close</button>\
+            </div>\
+          </div>\
+        </div>\
+    </div>';
+
+    InfoContentVerificarBDOC(id);
+  
+}
+
+
+function ColumnsDataTableSignBDOC(){
+     var columns = [
+                {title: "Nombre del firmante", data: "signerCertificateSubjectName"},
+                {title: "Fecha y hora de la firma", data: "signatureSigningTime"},         
+                {title: "Firma válida", data: "isValid"},
+                {title: "El certificado todavía está válido", data: "signerCertificateIsValid"},
+                {title: "Código postal", data: function(event){ 
+                                                        if(event.signaturePostalCode){
+                                                            return event.signaturePostalCode;
+                                                        }else{
+                                                            return "Null";
+                                                        }
+                                                }
+                },                        
+                {title: "Serial del certificado del firmante", data: "signerCertificateSerial"},
+                {title: "Perfil de la firma", data: "signatureProfile"},                
+                {title: "Estado donde se realiza la firma", data: function(event){ 
+                                                                        if(event.signatureState){
+                                                                            return event.signatureState;
+                                                                        }else{
+                                                                            return "Null";
+                                                                        }
+                                                                 }
+                },
+                {title: "Algoritmo de firma utilizado", data: "signatureMethod"},
+                {title: "Identificador de la firma", data: "signatureId"},
+                {title: "Emisor del certificado firmante", data: "signerCertificateIssuer"},
+                {title: "Ciudad donde se realiza la firma", data: "signatureCity"},
+                {title: "Excepción de validación", data: function(event){
+                                                          return "signature"+event.signatureId+"ValidationException1";
+                                                        }
+                },
+                {title: "País donde se realiza la firma", data: function(event){
+                                                                        if(event.signatureCountry){
+                                                                            return event.signatureCountry;
+                                                                        }else{
+                                                                            return "Null";
+                                                                        }
+                                                                 }
+                },
+                {title:"Información", data: function (data){
+                                                var conten = JSON.stringify(data.signatureId).split("S");                                                                                            
+                                                return '<button id="informacion" type="input" class="btn btn-success btn-sm" data-toggle="modal" data-target="#myModalVerificar" onclick="javascript:Dialog_SignBDOC('+parseInt(conten[1])+')">Info(<font color="red">'+data.signatureId+'</font>)</button>';
+                                           } 
+                }
+    ];
+
+    return columns;
+
+}
+
+
+
+
+function DataTableSignBDOC(response){
+
+    var columns = ColumnsDataTableSignBDOC();
+    var table = $("#myJsonBDOC").DataTable({    
+
+          language: {
+            "lengthMenu": "Mostrar _MENU_ registros",
+            "zeroRecords": "No hay resultados - Disculpe",
+            "info": "Mostrando pagina _PAGE_ de _PAGES_",
+            "search": "Buscar:", 
+            "infoEmpty": "No records available",
+            "infoFiltered": "(filtered from _MAX_ total records)",
+            "sLoadingRecords": "Cargando...",
+          },
+          columnDefs: [
+              {"className": "dt-center", "targets": "_all"}
+          ],                                  
+          order: [[ 1, 'desc' ]],       
+          data: response.signatures,
+          columns: columns,                           
+          dom: 'Bfrtip',
+          columnDefs: [
+              {                
+                "targets": [0,2,3,4,5,6,8,9,11,12 ],
+                "visible": false,
+                //"searchable": false
+              },
+           ],                           
+           buttons: [
+                {
+                    extend:    'pageLength',
+                    text:      'Mostrar Filas', 
+                    titleAttr: 'Mostrar Filas',
+                },
+                {
+                    extend:    'print',
+                    text:      'Imprimir',
+                    title:     'Contenido de la Firma',
+                    message:   'Datos de la Firma',
+                    titleAttr: 'Imprimir',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    } 
+                },
+                {
+                    extend:    'excelHtml5',
+                    text:      'XLXS',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'Excel',
+                    message: 'Datos de la Firma',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    }
+                },
+                {
+                    extend:    'csvHtml5',
+                    text:      'CSV',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'CSV',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    }
+                },
+                {
+                    extend:    'pdfHtml5',
+                    text:      'PDF',
+                    titleAttr: 'PDF',
+                    title:     'Contenido de la Firma',                    
+                    download: 'open',
+                    customize: function (doc){
+                       doc.defaultStyle.fontSize = 3;
+                       doc.styles.tableHeader.fontSize = 4;
+                       doc.styles.tableHeader.fillColor = "#0085a1";
+                    },
+                    //orientation: 'landscape',
+                    pageSize: 'A3',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,7,8,9,10,11,12,13]
+                    
+                    }
+                }                
+          ]           
+      });
+    
+    return table;
+
+}
Index: prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js
===================================================================
--- prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js	(revision a210970051527890e1d5a4fe3f5114f1cead5eb3)
+++ prototipo/static/js/functions/CheckSign/myInfoDataTableCheckBDOC.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
@@ -159,5 +159,5 @@
 
     var columns = ColumnsDataTableBDOC();
-    var table = $('#myCkeckBDOC').DataTable({    
+    var table = $("#myCkeckBDOC").DataTable({    
 
           language: {
Index: prototipo/static/js/functions/PDF/myInfoDataTablePDF.js
===================================================================
--- prototipo/static/js/functions/PDF/myInfoDataTablePDF.js	(revision 68a964b128af4810e77ce8b5647cbb8f05daacc6)
+++ prototipo/static/js/functions/PDF/myInfoDataTablePDF.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
@@ -122,5 +122,5 @@
            <div id = "title" class="modal-header">\
              <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->\
-             <h4 class="modal-title text-primary"><center>Información de la Sign('+id+')</center></h4>\
+             <h4 class="modal-title text-primary"><center>Información de la Firma('+id+')</center></h4>\
            </div>\
            <div id = "body" class="modal-body">\
Index: prototipo/static/js/functions/PDF/myInfoDataTablePDF_NoVisible.js
===================================================================
--- prototipo/static/js/functions/PDF/myInfoDataTablePDF_NoVisible.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
+++ prototipo/static/js/functions/PDF/myInfoDataTablePDF_NoVisible.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
@@ -0,0 +1,259 @@
+
+function InfoContentPDF_No_Visible(id){
+  
+  for (var i = 0; i < INFO_DATATABLE_NO_VISIBLE.signatures.length; i++) {
+    if (parseInt(INFO_DATATABLE_NO_VISIBLE.signatures[i]['documentRevision']) == parseInt(id)){
+
+            var html1 = "";  
+
+            html1 += '<font style="font-size: 14pt">';
+            html1 += '<table  class="table table-hover" width="100%" id="data" >';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" width="700"><b>Nombre del firmante:</b> </td>';
+            html1 += '<td style="text-align: left" width="500"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['nameOfTheSigner']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha en que se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['signedOn']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Chequea la integridad de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['integrityCheck']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>El certificado todavía está válido:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['signerCertificateStillValid']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['signerCertificateValidFrom']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Fecha de fin de validez del certificado:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_DATATABLE_NO_VISIBLE.signatures[i]['signerCertificateValidTo']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>El certificado es válido en el momento de la firma:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['signerCertificateValidAtTimeOfSigning']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Tipo de firma de archivo PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['signatureType']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Estampilla de tiempo:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['timeStamp']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Razón de la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['reason']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Ubicación donde se realiza la firma:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['location']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Nombre alternativo del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['alternativeNameOfTheSigner']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>La firma abarca todo el documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_DATATABLE_NO_VISIBLE.signatures[i]['signatureCoversWholeDocument']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['filterSubtype']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Sujeto firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_DATATABLE_NO_VISIBLE.signatures[i]['signerCertificateSubject']+'</font></span></td>';
+            html1 += '</tr>';
+            html1 += '<td style="text-align: left" ><b>Algoritmo de cifrado:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['encryptionAlgorithm']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Servicio de estampillado de tiempo:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['timeStampService']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Algoritmo hash (reseña):</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['digestAlgorithm']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Certificado verificado contra el repositorio de certificados confiables:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['certificatesVerifiedAgainstTheKeyStore']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Número de revisión del documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['documentRevision']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Número total de revisiones del documento PDF:</b> </td>';
+            html1 += '<td style="text-align: left"><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['totalDocumentRevisions']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Información de contacto del firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span>' +INFO_DATATABLE_NO_VISIBLE.signatures[i]['contactInfo']+'</span></td>';
+            html1 += '</tr>'; 
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left" ><b>Estampilla de tiempo verificada:</b> </td>';
+            html1 += '<td style="text-align: left" ><span> '+INFO_DATATABLE_NO_VISIBLE.signatures[i]['timeStampVerified']+'</span></td>';
+            html1 += '</tr>';
+            html1 += '<tr>';
+            html1 += '<td style="text-align: left"><b>Emisor del certificado firmante:</b> </td>';
+            html1 += '<td style="text-align: left"><span><font style="font-size: 8pt">' +INFO_DATATABLE_NO_VISIBLE.signatures[i]['signerCertificateIssuer']+'</font></span></td>';
+            html1 += '</tr>';;
+            html1 += '</table>';
+            html1 += '</font>';
+
+            $('div#Dialogo-table-no-visible').append(html1); 
+    }
+  }
+}
+
+function DialogNOvisible(id){
+   document.getElementById("Dialogo").innerHTML = '\
+    <style>\
+     .modal .modal-dialog { width: 80%; height: 80%, };\
+    </style>\
+       <div id="myModalNOvisible" class="modal fade" role="dialog">\
+       <div class="modal-dialog">\
+         <div class="modal-content">\
+           <div id = "title" class="modal-header">\
+             <!--<button type="button" class="close" data-dismiss="modal">&times;</button>-->\
+             <h4 class="modal-title text-primary"><center>Información de la Firma('+id+')</center></h4>\
+           </div>\
+           <div id = "body" class="modal-body">\
+             <br>\
+             <div id="Dialogo-table-no-visible"></div>\
+            </div>\
+            <div class="modal-footer">\
+              <button type="button" id="informacion" data-dismiss="modal">Close</button>\
+            </div>\
+          </div>\
+        </div>\
+    </div>';
+
+    InfoContentPDF_No_Visible(id);
+  
+}
+
+
+function DataTablePDFNoVisible(response){
+  
+    //$(document).ready(function () { 
+    	var table = $('#myJsonPDF_NO_VISIBLE').DataTable({
+          //retrieve: true,
+          //paging: false,
+          //searching: false,                            
+           language: {
+              "lengthMenu": "Mostrar _MENU_ registros",
+              "zeroRecords": "No hay resultados - Disculpe",
+              "info": "Mostrando pagina _PAGE_ de _PAGES_",
+              "search": "Buscar:", 
+              "infoEmpty": "No records available",
+              "infoFiltered": "(filtered from _MAX_ total records)"
+           },
+           columnDefs: [
+              {"className": "dt-center", "targets": "_all"}
+           ],                       
+           order: [[ 1, 'desc' ]],       
+           data: response.signatures,
+           columns: [
+              {title: "Nombre del firmante", data: "nameOfTheSigner"  },
+              {title: "Fecha en que se realiza la firma", data: "signedOn"},         
+              {title: "Chequea la integridad de la firma", data: "integrityCheck"},
+              {title: "El certificado todavía está válido", data: "signerCertificateStillValid"},
+              {title: "Fecha de inicio de validez del certificado", data: "signerCertificateValidFrom"},                        
+              {title: "Fecha de fin de validez del certificado", data: "signerCertificateValidTo"},
+              {title: "El certificado es válido en el momento de la firma", data: "signerCertificateValidAtTimeOfSigning"},                
+              {title: "Tipo de firma de archivo PDF", data: "signatureType"},
+              {title: "Estampilla de tiempo", data: "timeStamp"},
+              {title: " Razón de la firma", data: "reason"},
+              {title: "Ubicación donde se realiza la firma", data: "location"},
+              {title: "Nombre alternativo del firmante", data: "alternativeNameOfTheSigner"},
+              {title: "La firma abarca todo el documento PDF", data: "signatureCoversWholeDocument"},
+              {title: "Tipo de subfiltro: /adbe.pkcs7.sha1, /adbe.pkcs7.detached", data: "filterSubtype"},
+              {title: "Sujeto firmante", data: "signerCertificateSubject"},
+              {title: "Algoritmo de cifrado", data: "encryptionAlgorithm"},
+              {title: "Servicio de estampillado de tiempo", data: "timeStampService"},
+              {title: "Algoritmo hash (reseña)", data: "digestAlgorithm"},
+              {title: "Certificado verificado contra el repositorio de certificados confiables", data: "certificatesVerifiedAgainstTheKeyStore"},
+              {title: "Número de revisión del documento PDF", data: "documentRevision"},
+              {title: "Número total de revisiones del documento PDF", data: "totalDocumentRevisions"},
+              {title: "Información de contacto del firmante", data: "contactInfo", style:"width: 2px;"},
+              {title: "Estampilla de tiempo verificada", data: "timeStampVerified"},
+              {title: "Emisor del certificado firmante", data: "signerCertificateIssuer"},
+              {title:"Información", data: function(event){
+                                              return '<button id="informacion" type="input" class="btn btn-success btn-sm" data-toggle="modal" data-target="#myModalNOvisible" onclick="javascript:DialogNOvisible('+event.documentRevision+')">Info(<font color="red">'+event.documentRevision+'</font>)</button>';
+                                         } 
+              }
+           ],                           
+          dom: 'Bfrtip',
+          columnDefs: [
+              {
+                  "targets": [ 2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23 ],
+                  "visible": false,
+                  //"searchable": false
+              },
+              
+           ],                           
+           buttons: [
+                {
+                    extend:    'pageLength',
+                    text:      'Mostrar Filas', 
+                    titleAttr: 'Mostrar Filas',
+                },
+                {
+                    extend:    'print',
+                    text:      'Imprimir',
+                    title:     'Contenido de la Firma',
+                    message:   'Datos de la Firma',
+                    titleAttr: 'Imprimir',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    } 
+                },
+                {
+                    extend:    'excelHtml5',
+                    text:      'XLXS',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'Excel',
+                    message: 'Datos de la Firma',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    }
+                },
+                {
+                    extend:    'csvHtml5',
+                    text:      'CSV',
+                    title:     'Contenido de la Firma',
+                    titleAttr: 'CSV',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    }
+                },
+                {
+                    extend:    'pdfHtml5',
+                    text:      'PDF',
+                    titleAttr: 'PDF',
+                    title:     'Contenido de la Firma',                    
+                    download: 'open',
+                    customize: function (doc){
+                       doc.defaultStyle.fontSize = 3;
+                       doc.styles.tableHeader.fontSize = 4;
+                       doc.styles.tableHeader.fillColor = "#0085a1";
+                    },
+                    //orientation: 'landscape',
+                    pageSize: 'A3',
+                    exportOptions: {
+                      columns: [ 0,1,2,3,4,5,6,8,9,11,12,13,14,15,16,17,18,19,20,21,22,23]
+                    
+                    }
+                }                
+          ]           
+      });
+    return table;
+	//});  
+
+}
Index: prototipo/static/js/functions/firmarDocumentoBDOC.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision a210970051527890e1d5a4fe3f5114f1cead5eb3)
+++ prototipo/static/js/functions/firmarDocumentoBDOC.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
@@ -1,2 +1,30 @@
+
+//Obtenemos la  informacion de documento
+function InfoSignDocumentDataTableBDOC(signedFileId){
+
+    $.ajax({
+        url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/"+signedFileId,
+        type: "get",
+        dataType: "json",        
+        headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
+        success: function(response) {
+
+	          INFO_SIGN_BDOC = SerealizeMyJsonBDOC(response);
+	          CONT_SIGN_BDOC += 1;         
+
+	          if (CONT_SIGN_BDOC == 1){
+	              INFO_DATATABLE_SIGN_BDOC = DataTableSignBDOC(response);
+	          }
+	          if (CONT_SIGN_BDOC > 1){
+	              INFO_DATATABLE_SIGN_BDOC.destroy();
+	              INFO_DATATABLE_SIGN_BDOC = DataTableSignBDOC(response); 
+	          } 
+        },
+        error: function(jqXHR, textStatus, errorThrown){
+          	alert(textStatus+", "+ errorThrown+" el documento BDOC para mostrar la info de la sign");     
+        }
+	});
+}
+
 function FinalizarFirmaBDOC(signature, fileId){
 
@@ -20,6 +48,7 @@
 			//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
 			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
-			document.getElementById("respuesta").innerHTML = 'Archivo firmado correctamente: ' + data['signedFileId'] +'<br>'+linkToDownload;  
-
+			document.getElementById("respuesta").innerHTML = '<h2>Archivo firmado correctamente:</h2> <br>'+linkToDownload;  
+
+			InfoSignDocumentDataTableBDOC(data['signedFileId']);		
 		},
 		error: function(jqXHR, textStatus, errorThrown){
@@ -161,9 +190,8 @@
 
 
-$("#Form-sign-bdoc").on('submit', function(event) {
-	event.preventDefault();
-
+$("#Form-sign-bdoc").on('submit', function(even) {
+	even.preventDefault();
+	
 	var formData = new FormData(); 
-
     for (var i=0; i<$("#file-sign-bdoc")[0].files.length; i++){
 		formData.append("upload", $("#file-sign-bdoc")[0].files[i]);
@@ -171,5 +199,4 @@
     
     SubirDocumentServerBdoc(formData);
-
 });
 
@@ -178,10 +205,8 @@
 $("#button_SignBDOC").on('click', function() {
 	$("#file-sign-bdoc").trigger('click');
-
 });
 
 
 $("#file-sign-bdoc").on('change', function() {
-
 	$("#sign_bdoc").show();
 
Index: prototipo/static/js/functions/firmarDocumentoPdf.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdf.js	(revision a210970051527890e1d5a4fe3f5114f1cead5eb3)
+++ prototipo/static/js/functions/firmarDocumentoPdf.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
@@ -32,17 +32,47 @@
         headers: {"Authorization":"Basic YWRtaW46YWRtaW4="},
         success: function(response) {
-               
-            INFO_DATATABLE = SerealizeMyJson(response);
-			
-			CONT += 1;
-			if (CONT == 1){
-				DATATABLE_SIGN_VISIBLE = DataTablePDF(response);	
-			}
-			if (CONT > 1){
-				DATATABLE_SIGN_VISIBLE.destroy();
-				DATATABLE_SIGN_VISIBLE = DataTablePDF(response);	
-			}	
-
-			$('table#myJson_wrapper').show();
+            
+	  		if (FIRMA_VISIBLE == true){          	
+
+		        INFO_DATATABLE = SerealizeMyJson(response);
+				
+				CONT += 1;
+				if (CONT == 1){
+					DATATABLE_SIGN_VISIBLE = DataTablePDF(response);	
+
+				}
+				if (CONT > 1){
+					DATATABLE_SIGN_VISIBLE.destroy();
+					DATATABLE_SIGN_VISIBLE = DataTablePDF(response);	
+				}	
+
+				CONTAINER = false;
+				$("#firmar-documento").hide();
+				$("#pdf-main-container").hide();
+				$("#myJson_wrapper").show();					
+			}
+			else{
+
+
+		        INFO_DATATABLE_NO_VISIBLE = SerealizeMyJson(response);
+				
+				CONT_NO_VISIBLE += 1;
+				if (CONT_NO_VISIBLE == 1){
+					DATATABLE_SIGN_NO_VISIBLE = DataTablePDFNoVisible(response);	
+
+				}
+				if (CONT_NO_VISIBLE > 1){
+					DATATABLE_SIGN_NO_VISIBLE.destroy();
+					DATATABLE_SIGN_NO_VISIBLE = DataTablePDFNoVisible(response);	
+				}	
+
+				CONTAINER2 = false;				
+				$("#firmar-doc-noVisible").hide();
+				$("#pdf-main-container2").hide();
+				$("#myJsonPDF_NO_VISIBLE_wrapper").show();
+
+
+			}
+			
         },
         error: function(jqXHR, textStatus, errorThrown){
@@ -69,7 +99,4 @@
 			var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
 			document.getElementById("respuesta").innerHTML = 'Archivo firmado correctamente: ' + data['signedFileId']+ '<br>' +linkToDownload;	
-
-			$("#firmar-documento").hide();
-			$("#pdf-main-container").hide();
 			
 			InfoDocumentDataTablePDF(data['signedFileId']);		
@@ -163,7 +190,7 @@
 					"contact":"582746574336",
 					"signatureVisible":"true"
-					//"page": VALOR_PAGE,
-					//"coord_x": VALOR_X,
-					//"coord_y": VALOR_Y
+					"page": VALOR_PAGE,
+					"coord_x": VALOR_X,
+					"coord_y": VALOR_Y
 					});
 			}
@@ -242,5 +269,5 @@
     formData.append("upload", $("#file-sign-ft_Vble")[0].files[0]);	
 	
-	$('#myJson').hide();
+	$('#myJson_wrapper').hide();
 	FIRMA_VISIBLE = true;
 	SubirDocumentServer(formData);
Index: prototipo/static/js/functions/firmarDocumentoPdfNoVisible.js
===================================================================
--- prototipo/static/js/functions/firmarDocumentoPdfNoVisible.js	(revision 025e022ce78a448e7bb37ab6986e69662cb6da4b)
+++ prototipo/static/js/functions/firmarDocumentoPdfNoVisible.js	(revision 9be8a48e0a4ee5822b18d39a94cb35a9f2984b2f)
@@ -10,4 +10,4 @@
 	FIRMA_VISIBLE = false;
 	SubirDocumentServer(formData);
-
+	
 });