Index: eventos/admin.py
===================================================================
--- eventos/admin.py	(revision bf475917c09d88f08785ab64628b3b984facb248)
+++ eventos/admin.py	(revision 8ef5d2c25a2e2800079b046befbdf2e2b70ba95f)
@@ -1,3 +1,4 @@
 from django.contrib import admin
+from .models import Evento
 
-# Register your models here.
+admin.site.register(Evento)
Index: eventos/forms.py
===================================================================
--- eventos/forms.py	(revision 94b3e3ff310d164bbe6933e5c3b3d7ec792dcd91)
+++ eventos/forms.py	(revision 94b3e3ff310d164bbe6933e5c3b3d7ec792dcd91)
@@ -13,5 +13,5 @@
 
     @author Ing. Leonel P. Hernandez M. (lhernandez at cenditel.gob.ve)
-    @copyright <a href='http://www.gnu.org/licenses/gpl-2.0.html'>GNU Public License versión 2 (GPLv2)</a>
+    @copyright <a href='https://www.gnu.org/licenses/gpl-3.0.en.html'>GNU Public License versión 3 (GPLv3)</a>
     @date 19-11-2017
     @version 1.0.0
@@ -42,5 +42,22 @@
         self.fields['archivo'].required=True
         self.fields['archivo'].widget.attrs.update(
+<<<<<<< HEAD
             {
             'class': 'file-path validate',
             'placeholder': 'Subur un archivo'})
+=======
+            {'class': 'file-path',
+             'placeholder': 'Subir Archivo'})
+
+class FirmaEventoForm(forms.Form):
+    """!
+    Clase que permite crear el formulario para la firma de un documento
+
+    @author Rodrigo Boet (rboet at cenditel.gob.ve)
+    @copyright <a href='https://www.gnu.org/licenses/gpl-3.0.en.html'>GNU Public License versión 3 (GPLv3)</a>
+    @date 20-11-2017
+    @version 1.0.0
+    """
+    
+    pasaporte = forms.CharField(widget=forms.TextInput(attrs={'class':'form-control','placeholder':'Ingrese su pasaporte'}))
+>>>>>>> def10d28a56c05436aa09889ff50481aaec4bc4a
Index: eventos/models.py
===================================================================
--- eventos/models.py	(revision 3397a086dfd079cbd9c48c247d63eaf7a5a8c18d)
+++ eventos/models.py	(revision 5dea5ffa4f48a80cb029664f42ace3fd7dfa3fe4)
@@ -7,5 +7,5 @@
 
     @author Ing. Leonel P. Hernandez M. (lhernandez at cenditel.gob.ve)
-    @copyright <a href='http://www.gnu.org/licenses/gpl-2.0.html'>GNU Public License versión 2 (GPLv2)</a>
+    @copyright <a href='https://www.gnu.org/licenses/gpl-3.0.en.html'>GNU Public License versión 3 (GPLv3)</a>
     @date 19-11-2017
     @version 1.0.0
Index: eventos/templates/evento.firma.html
===================================================================
--- eventos/templates/evento.firma.html	(revision ae65f8e661c7e849ba3e4318d25524b96279d963)
+++ eventos/templates/evento.firma.html	(revision ae65f8e661c7e849ba3e4318d25524b96279d963)
@@ -0,0 +1,21 @@
+{% extends 'base.template.html' %}
+{% load staticfiles %}
+{% block title %}Firmar Evento{% endblock title %}
+{% block content %}
+    <div class="content center">
+        <h3>{{nombre_evento}}</h3>
+        <form id="form" method="post">
+            {% csrf_token %}
+            <div class="input-field {% if form.pasaporte.errors %}invalid{% endif %}">
+                {{ form.pasaporte }}
+                <label for="icon_prefix {{ form.pasaporte.auto_id }}">Número de Pasaporte</label>
+                {% include 'base.forms.errors.html' with form_errors=form.pasaporte.errors col_title_error='col s2' col_msg_error='col s10' %}
+            </div>
+            
+            <a type="button" class="btn waves-effect red darken-1" onclick="get_event_user()">
+                <i class="material-icons left">search</i> Buscar
+            </a>
+            <div id="datos_paricipante"></div>
+        </form>
+    </div>
+{% endblock %}
Index: eventos/templates/evento.list.html
===================================================================
--- eventos/templates/evento.list.html	(revision def10d28a56c05436aa09889ff50481aaec4bc4a)
+++ eventos/templates/evento.list.html	(revision def10d28a56c05436aa09889ff50481aaec4bc4a)
@@ -0,0 +1,36 @@
+{% extends 'base.template.html' %}
+{% load staticfiles %}
+{% block title %}Eventos{% endblock %}
+{% block content %}
+    <h1 class="center">Eventos</h1><hr>
+    
+    <div class="row content">
+        <a type="button" class="btn waves-effect btn red darken-1 right" href="{% url 'events:create_events' %}">
+            <i class="material-icons left">add_circle</i> Registrar Nuevo Evento</a>
+    </div>
+    
+    {% for evento in object_list %}
+        <div class="card">
+            <div class="card-content">
+                <span class="card-title"><b>Nombre del evento: </b>{{ evento.nombre_evento }}</span>
+                <ul>
+                    <li><b>Fecha: </b>{{ evento.fecha }}</li>
+                </ul>
+            </div>
+            <div class="card-action">
+                <a type="button" class="btn waves-effect red darken-1" href="">
+                    <i class="material-icons left">search</i> Detalle
+                </a>
+                <a type="button" class="btn waves-effect red darken-1" href="{% url 'events:firma_events' evento.id %}">
+                    <i class="material-icons left">mode_edit</i> Firmar
+                </a>
+            </div>
+        </div>
+    {% empty %}
+        <h3>No existen eventos.</h3>
+    {% endfor %}
+    {% include 'base.paginator.html' with paginator=page_obj %}
+    <div style="padding-bottom: 50px;">
+        <a type="button" class="btn waves-effect btn red darken-1" href="{% url 'base:inicio' %}">Regresar</a>
+    </div>
+{% endblock %}
Index: eventos/urls.py
===================================================================
--- eventos/urls.py	(revision 8fa24c39c28b0b551179e14e554b24c29ab7d9ac)
+++ eventos/urls.py	(revision 248b1b4e6d07325b3da1a189f531fd1b01151340)
@@ -8,3 +8,5 @@
     # Crear y asignar participantes a eventos
     url(r'^crear-eventos/$', RegisterEvent.as_view(), name='create_events'),
+    url(r'^lista-eventos/$', ListEvent.as_view(), name='list_events'),
+    url(r'^firmar-evento/(?P<pk>\d+)$', SignEvent.as_view(), name='firma_events'),
 ]
Index: eventos/views.py
===================================================================
--- eventos/views.py	(revision 94b3e3ff310d164bbe6933e5c3b3d7ec792dcd91)
+++ eventos/views.py	(revision 94b3e3ff310d164bbe6933e5c3b3d7ec792dcd91)
@@ -1,2 +1,3 @@
+<<<<<<< HEAD
 from django.contrib import messages
 from django.core.urlresolvers import reverse_lazy
@@ -4,4 +5,8 @@
     render, redirect, get_object_or_404
 )
+=======
+from django.shortcuts import render
+from django.views.generic import ListView, FormView
+>>>>>>> def10d28a56c05436aa09889ff50481aaec4bc4a
 from multi_form_view import MultiModelFormView
 from django.views.generic import FormView
@@ -11,4 +16,5 @@
     FormsetParticipanteEvento
 )
+from .models import Evento
 
 class RegisterEvent(FormView):
@@ -17,5 +23,5 @@
 
     @author Ing. Leonel P. Hernandez M. (lhernandez at cenditel.gob.ve)
-    @copyright <a href='http://www.gnu.org/licenses/gpl-2.0.html'>GNU Public License versión 2 (GPLv2)</a>
+    @copyright <a href='https://www.gnu.org/licenses/gpl-3.0.en.html'>GNU Public License versión 3 (GPLv3)</a>
     @date 20-11-2017
     @version 1.0.0
@@ -23,4 +29,5 @@
 
     template_name = "register.event.html"
+<<<<<<< HEAD
     form_class = EventoForm
     form_participante = FormsetParticipanteEvento
@@ -51,2 +58,50 @@
                          (str(self.form_class.errors, self.form_participante.errors)))
         return redirect(self.success_url)
+=======
+    form_classes = {
+      'event': EventoForm,
+      'participante': FormsetParticipanteEvento,
+    }
+    #success_url = reverse_lazy('users:home')
+    record_id=None
+
+
+class ListEvent(ListView):
+    """!
+    Muestra el listado de eventos
+
+    @author Rodrigo Boet (rboet at cenditel.gob.ve)
+    @copyright <a href='https://www.gnu.org/licenses/gpl-3.0.en.html'>GNU Public License versión 3 (GPLv3)</a>
+    @date 20-11-2017
+    @version 1.0.0
+    """
+    model = Evento
+    template_name = "evento.list.html"
+    paginate_by = 5
+    
+class SignEvent(FormView):
+    """!
+    Muestra el formulario para buscar y luego firmar documento
+
+    @author Rodrigo Boet (rboet at cenditel.gob.ve)
+    @copyright <a href='https://www.gnu.org/licenses/gpl-3.0.en.html'>GNU Public License versión 3 (GPLv3)</a>
+    @date 20-11-2017
+    @version 1.0.0
+    """
+    form_class = FirmaEventoForm
+    template_name = "evento.firma.html"
+    
+    def get_context_data(self, **kwargs):
+        """!
+        Metodo que permite cargar de nuevo valores en los datos de contexto de la vista
+    
+        @author Rodrigo Boet (rboet at cenditel.gob.ve)
+        @copyright GNU/GPLv3
+        @date 20-11-2017
+        @param self <b>{object}</b> Objeto que instancia la clase
+        @param kwargs <b>{object}</b> Objeto que contiene los datos de contexto
+        @return Retorna los datos de contexto
+        """
+        kwargs['nombre_evento'] = Evento.objects.get(pk=int(self.kwargs['pk']))
+        return super(SignEvent, self).get_context_data(**kwargs)
+>>>>>>> def10d28a56c05436aa09889ff50481aaec4bc4a