Index: WebContent/index.html
===================================================================
--- WebContent/index.html	(revision f24ec26ac046822aa5df19fab2237faaf2c32d98)
+++ WebContent/index.html	(revision 51b96cedb445ec9bd4b2b7509e8edff112e947c7)
@@ -216,7 +216,5 @@
             
             $.ajax({
-                //url: "https://192.168.12.125:8443/Murachi/murachi/archivos",
-                //url: "https://172.16.137.11:8443/Murachi/murachi/archivos",                
-                //url: "https://172.16.137.11:8443/JAXRS-Murachi/murachi/archivos",
+                //url: "https://192.168.12.125:8443/Murachi/0.1/archivos",                
                 url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos",
                 type: "post",
@@ -259,6 +257,5 @@
 								type: 'POST',
 								contentType: 'application/json',				
-								//url:"https://192.168.12.125:8443/Murachi/murachi/archivos/pdfs",
-								//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs",
+								//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs",
 								url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
 								dataType: "json",
@@ -283,6 +280,5 @@
 											type: 'POST',
 											contentType: 'application/json',
-											//url:"https://192.168.12.125:8443/Murachi/murachi/archivos/pdfs/resenas",
-											//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs/resenas",
+											//url:"https://192.168.12.125:8443/Murachi/0.1/archivos/pdfs/resenas",
 											url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
 											dataType: 'json',
@@ -297,5 +293,5 @@
 												
 												alert("ver respuesta");
-												//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
+												//var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
 												//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
 												var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
@@ -369,6 +365,183 @@
     });
     </script>
-
-
+    
+
+    <!-- Prueba de firma de BDOC -->
+    <!--  
+	<script>
+    $(function(){
+        $("#firmar").on("submit", function(e){
+            e.preventDefault();
+            var f = $(this);
+            
+            //alert("se presiono firmar")
+            
+            //var formData = new FormData(document.getElementById("verificar"));
+            var formData = new FormData();
+            
+            //formData.append("dato", "valor");
+            formData.append("upload", $("#file-sign")[0].files[0]);
+            //formData.append(f.attr("name"), $(this)[0].files[0]);
+            
+            $.ajax({
+                url: "https://192.168.12.125:8443/Murachi/0.1/archivos",
+                //url: "https://172.16.137.11:8443/Murachi/murachi/archivos",                
+                //url: "https://172.16.137.11:8443/JAXRS-Murachi/murachi/archivos",
+                //url: "https://murachi.cenditel.gob.ve/Murachi/0.1/archivos",
+                type: "post",
+                dataType: "json",
+                data: formData,
+                cache: false,
+                contentType: false,
+				processData: false,
+				success: function(response) {
+						//alert(JSON.stringify(response));
+						var html = manejoJsonPDF(JSON.stringify(response));
+						//alert(html);
+						//alert("ver respuesta")
+						document.getElementById("respuesta").innerHTML = html;
+						
+						// identificador del archivo en el servidor
+						var fileId = response.fileId.toString();
+						alert("fileId: "+ fileId);
+						
+						
+						// seleccionar certificado del firmante
+						alert("va a seleccionar certificado");
+						var cert;
+						window.hwcrypto.getCertificate({lang: "en"}).then(function(response) {
+					  		var cert = response;
+				  			//log_text("Using certificate:\n" + hexToPem(response.hex));
+				  									
+							//alert("cert: "+ cert.hex);
+							
+							var parameters = JSON.stringify({
+								"fileId":fileId,
+								"certificate":cert.hex,
+								"city":"Merida",
+								"state":"Merida",
+								"postalCode":"5101",
+								"country":"Venezuela",
+								"role":"Desarrollador",
+								"addSignature":false
+								});
+							
+							// ahora llamar al ajax de obtener la resena del bdoc
+							$.ajax({
+								type: 'POST',
+								contentType: 'application/json',				
+								url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs",
+								//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs",
+								//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs",
+								dataType: "json",
+								data: parameters,		
+								success: function(data, textStatus, jqXHR){
+									var json_x = data;
+									var hash = json_x['hash']; 
+									//alert("hash recibido del servidor "+hash);
+									
+									var hashtype = "SHA-256";
+									var lang = "eng";
+									
+									window.hwcrypto.sign(cert, {type: hashtype, hex: hash}, {lang: lang}).then(function(signature) {
+										
+										//var signature = response.hex.match(/.{1,64}/g).join("\n");
+						        		//log_text("Generated signature:\n" + response.hex.match(/.{1,64}/g).join("\n"));
+						        		//log_text("Generated signature:\n" + signature.hex);
+						        		
+						        		alert("valor de la firma: " + signature.hex);
+						        		
+						        		
+						        		$.ajax({
+											type: 'POST',
+											contentType: 'application/json',
+											url:"https://192.168.12.125:8443/Murachi/0.1/archivos/bdocs/resenas",
+											//url:"https://172.16.137.11:8443/Murachi/murachi/archivos/pdfs/resenas",
+											//url:"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/pdfs/resenas",
+											dataType: 'json',
+											data: JSON.stringify({"signature":signature.hex}),
+											success: function(data, textStatus, jqXHR){
+												/*
+												var json_x = data;
+												var msg = json_x['message'];												
+												alert('Archivo firmado en el servidor: ' + msg);
+												*/
+												alert('Archivo firmado correctamente: ' + data['signedFileId']);
+												
+												alert("ver respuesta");
+												var linkToDownload = "<a href=\"https://192.168.12.125:8443/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>"; 
+												//var linkToDownload = "<a href=\"https://172.16.137.11:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+												//var linkToDownload = "<a href=\"https://murachi.cenditel.gob.ve/Murachi/0.1/archivos/descargas/" + data['signedFileId'] +"\">descargar archivo firmado</a>";
+												//alert(linkToDownload);
+												document.getElementById("respuesta").innerHTML = linkToDownload;  
+												
+												
+												//descargar el archivo
+												/*
+												//var urlToDownload =	"https://192.168.12.125:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'];
+												$.ajax({
+													type: 'GET',
+													contentType: false,
+													url: "https://192.168.12.125:8443/Murachi/murachi/archivos/descargas/" + data['signedFileId'],
+													dataType: false,
+													data: false,
+													success: function(data, textStatus, jqXHR){
+														alert("descargo el archivo");
+													},
+													error: function(jqXHR, textStatus, errorThrown){
+														alert('error en descarga de archivo: ' + textStatus);
+														$("#respuesta").html("error en descarga de archivo: " + textStatus);
+													}
+												});
+												*/
+												// fin de descarga de archivo
+																								
+												
+											},
+											error: function(jqXHR, textStatus, errorThrown){
+												alert('error en /bdocs/resenas: ' + textStatus);
+												$("#respuesta").html("error en /bdocs/resenas: " + textStatus);
+											}
+										});
+						        					        		
+						      			}, function(err) {
+							        		log_text("sign() failed: " + err);
+							        		alert("sign() failed: " + err);
+							        		$("#respuesta").html("sign() failed: " + err);
+						    	  	});
+									
+								},								
+								error: function(jqXHR, textStatus, errorThrown){
+									//alert('error: ' + textStatus);
+									//var responseText = jQuery.parseJSON(jqXHR.responseText);
+									alert('ajax error function: ' + jqXHR.responseText);
+									$("#respuesta").html("error function: " + jqXHR.responseText);
+								}
+								
+						
+							});
+							
+							
+							
+						}, function(err) {
+				      			log_text("getCertificate() failed: " + err);
+				      			alert("getCertificate() failed: " + err);
+				      			$("#respuesta").html("getCertificate() failed: " + err);
+				    		});
+						
+						
+						
+            	    },
+             		error: function(response) {
+             			//Que se ejecuta cuando finalice la petición de con error
+						$("#respuesta").html('Error...!!!');
+             			alert("ocurrio un error")
+					}
+            });
+        });
+    });
+    </script>
+     -->
+	
 
 	<!-- Función que se conecta se servicio web de verificación de la firma electrónica 