Index: eventos/templates/evento.detail.html
===================================================================
--- eventos/templates/evento.detail.html	(revision eb2672bffd7bb22bc258d45b66cc86de0508ca9e)
+++ eventos/templates/evento.detail.html	(revision 52a0eb92b65c9ed2417b0f2e54e1cd72a6d68b96)
@@ -15,5 +15,5 @@
                     <ul>
                         <li><b>Activo: </b>{% if object.activo %}
-                            Si, el documento si se encuentra activo aún falta {{num_firma}} {% if num_firma > 1 %}participantes {% else %} participante {% endif%} por firmar</li>
+                            Sí, el documento si se encuentra activo aún falta {{num_firma}} {% if num_firma > 1 %}participantes {% else %} participante {% endif%} por firmar</li>
                         {% else %}
                             No, el documento no esta activo todos los participantes han firmado</li>
@@ -29,5 +29,5 @@
               <tr>
                   <th scope="col">Nombresy Apellidos</th>
-                  <th scope="col">Firmo?</th>
+                  <th scope="col">Firmó?</th>
               </tr>
             </thead>
@@ -40,5 +40,5 @@
                         <td>
                             {% if firmantes.firma %}
-                                <i class="material-icons green-text" title="Si">done</i>
+                                <i class="material-icons green-text" title="Sí">done</i>
                             {% else %}
                                 <i class="material-icons red-text" title="No">clear</i>
Index: eventos/views.py
===================================================================
--- eventos/views.py	(revision bc3aa9235d0487eb0ae045482b4685288e2ab264)
+++ eventos/views.py	(revision 52a0eb92b65c9ed2417b0f2e54e1cd72a6d68b96)
@@ -80,5 +80,5 @@
                 file.close()
                 os.unlink(ruta)
-                messages.error(self.request, "Error al concetar al servidor y subir\
+                messages.error(self.request, "Error al conectar al servidor y subir\
                                               el archivo a la api Murachi")
                 return redirect(self.success_url)
@@ -105,5 +105,5 @@
                                         fk_evento=nuevo_evento)
                         asigna_evento.save()
-                messages.success(self.request, "El usaurio %s, ha creado con exito,\
+                messages.success(self.request, "El usuario %s, ha creado con exito,\
                                             un nuevo evento %s" %
                                  (str(self.request.user),
@@ -116,6 +116,6 @@
         except Exception as e:
             print (e)
-            messages.error(self.request, "Esta intentado realizar una\
-                                          accion incorrecta")
+            messages.error(self.request, "Esta intentando realizar una\
+                                          acción incorrecta")
 
         return redirect(self.success_url)
@@ -313,5 +313,5 @@
             file.close()
             os.unlink(ruta)
-            messages.error(self.request, "Error al concetar al servidor y subir\
+            messages.error(self.request, "Error al conectar al servidor y subir\
                                           el archivo a la api Murachi")
             return redirect(self.success_url)
@@ -323,11 +323,11 @@
             event.pag = pag
             event.save()
-            messages.success(self.request, "El usaurio %s, ha actualizado con exito,\
+            messages.success(self.request, "El usuario %s, ha actualizado con exito,\
                                             el evento %s" %
                                  (str(self.request.user),
                                   str(event)))
         else:
-            messages.error(self.request, "Error al actualizar, debes llanar\
-                                          todos los campos incluyendo la\
-                                          configuracion de la firma")
+            messages.error(self.request, "Error al actualizar, debes llenar\
+                                          todos los campos, incluyendo la\
+                                          configuración de la firma")
         return redirect(self.success_url)